Skip to main content
GET
/
api
/
v1
/
reports
/
{id}
/
attachments
/
Attachments
curl --request GET \
  --url https://api.main.apexscore.ai/api/v1/reports/{id}/attachments/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.main.apexscore.ai/api/v1/reports/{id}/attachments/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.main.apexscore.ai/api/v1/reports/{id}/attachments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "file": "<string>",
    "friendly_name": "<string>",
    "description": "<string>",
    "configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "file_extension": "<string>",
    "file_size": 123,
    "friendly_filetype": "<string>",
    "mime_type": "<string>",
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "full_name": "<string>",
      "email": "jsmith@example.com",
      "first_name": "<string>",
      "last_name": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this report.

Query Parameters

configuration_id
string<uuid>

Optional configuration id to retrieve. If not provided, the primary configuration will be used.

ordering
string

Which field to use when ordering the results.

Response

200 - application/json
id
string<uuid>
required
read-only
file
string<uri>
required
read-only
friendly_name
string
required
read-only
description
string | null
required
read-only
configuration_id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
file_extension
string
required
read-only
file_size
integer
required
read-only
friendly_filetype
string
required
read-only

This method get_friendly_name first tries to match the MIME type to a friendly name. If the MIME type is not available or not in the predefined list, it falls back to using the file extension. You can expand the mime_to_name and ext_to_name dictionaries to include more MIME types and extensions as needed.

Returns: str: A friendly name for the file type

mime_type
string
required
read-only
created_by
object
required